platform:
#  type: standalone
  type: cloud
server:
  port: 18222
  servlet:
    context-path: /m
spring:
  application:
    name: device-manager
    profiles:
      active: @profiles.active@
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
  jackson:
    serialization:
      WRITE_DATES_AS_TIMESTAMPS: true
    default-property-inclusion: NON_NULL
#    time-zone: GMT+8
#    date-format: yyyy-MM-dd HH:mm:ss
  cloud:
    loadbalancer:
      ribbon:
        enabled: false
    nacos:
      # Nacos 作为注册中心的配置项，对应 NacosDiscoveryProperties 配置类
      discovery:
        server-addr: @profiles.nacos.server-addr@ # Nacos 服务器地址
        group: @profiles.nacos.group@
        namespace: @profiles.nacos.namespace@
      config:
        server-addr: ${spring.cloud.nacos.discovery.server-addr} # Nacos 服务器地址
        group: ${spring.cloud.nacos.discovery.group}
        namespace: ${spring.cloud.nacos.discovery.namespace} # Nacos 命名空间 dev 的编号
        file-extension: yaml
  dao:
    exceptiontranslation:
      enabled: false
mybatis:
  root-path: com.mortals
  type-aliases-package: com.mortals.framework.model,com.mortals.xhx.common.**.model,com.mortals.xhx.**.model
  mapper-locations: classpath*:sqlmap/**/*.xml
  config-location: classpath*:config/mybatis-sqlmap-config.xml
  
application:
  auth:
    unloginUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,/test*
    uncheckUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,/test*
  registerApiPath: /api/register
  deviceInitApiPath: /api/deviceInit
  deviceUpdateApiPath: /api/deviceUpdate

#feign:
#  hystrix:
#    enabled: false
management:
  security:
    enabled: false
    #prometheus+grafana+springboot2监控集成配置
  metrics:
    export:
      prometheus:
        enabled: true
      jmx:
        enabled: true
  endpoints:
    web:
      exposure:
        include: '*'
      base-path: /metrics


